import numpy as np
from matplotlib import pyplot
import moose

def graphs (moltables,runtime):
    t=np.linspace(0,runtime,moltables[0].vector.size)
    f=pyplot.figure(figsize=(9,3))
    rows=len(moltables)
    for i,tab in enumerate(moltables):
        axes = f.add_subplot(rows,1,i+1)
        axes.plot(t,tab.vector,label=tab.path.split('/')[2][:-1])
        axes.set_ylabel('Conc (uM)')
        axes.legend()
    f.canvas.draw()

def tables (cell,plotdt):
    moose.Neutral('/data')
    tab=[]
    for mol in moose.wildcardFind(cell+"/##[ISA=PoolBase]"):
        molname=mol.path.split('/')[2][:-3]
        tab.append(moose.Table('/data/'+molname))
        moose.connect(tab[-1],'requestOut',moose.element(mol),'getConc')
    for table in moose.wildcardFind('/data/#'):
        moose.setClock( table.tick, plotdt )
    return tab
